Seedance 2.0
Seedance 2.0
문서시작하기
API 개요텍스트로 비디오이미지로 비디오
API 레퍼런스

이미지로 비디오

Seedance 2.0 Open API로 이미지와 참고 미디어에서 비디오를 생성합니다.

이 모드에서는 mediaUrls 에 하나 이상의 공개 미디어 URL 을 전달합니다.

Endpoint

POST /api/open/v1/video/generations

지원되는 참고 자료

TypeCommon formatsTypical usage
이미지.jpg, .jpeg, .png, .webp, .gif, .bmp첫 프레임, 마지막 프레임, 스타일 참고
비디오.mp4, .mov, .m4v동작과 카메라 움직임 참고
오디오.mp3, .wav리듬 또는 타이밍 참고

요청 예시

curl --request POST \
  --url https://www.seedance2.ink/api/open/v1/video/generations \
  --header 'Authorization: Bearer sd2_live_your_api_key' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "seedance-2.0",
    "prompt": "A young woman blows out birthday candles, warm indoor lighting, shallow depth of field",
    "mediaUrls": [
      "https://example.com/photo.jpg"
    ],
    "aspectRatio": "16:9",
    "duration": 5,
    "resolution": "720p"
  }'

성공 응답

{
  "success": true,
  "requestId": "req_1234567890",
  "status": "queued",
  "creditsCharged": 64
}

요청 필드

FieldTypeRequiredDescription
modelstringYesseedance-2.0, seedance-2.0-fast, seedance-1.5-pro 중 하나입니다.
promptstringYes생성할 비디오를 설명하는 자연어 프롬프트입니다.
mediaUrlsstring[]Yes공개 접근 가능한 참고 미디어 URL 을 1개에서 5개까지 전달합니다.
aspectRatiostringNo16:9, 9:16, 1:1 중 하나입니다.
durationintegerNoseedance-2.0 과 seedance-2.0-fast 는 4-15초, seedance-1.5-pro 는 5 또는 10초를 지원합니다.
resolutionstringNo480p, 720p, 1080p 중 하나입니다.
webhookUrlstringNo작업 완료 시 결과를 받을 콜백 URL 입니다.
metadataobjectNo요청과 함께 저장되는 사용자 정의 메타데이터입니다.

결과 조회

curl https://www.seedance2.ink/api/open/v1/video/generations/req_1234567890 \
  --header 'Authorization: Bearer sd2_live_your_api_key'
{
  "success": true,
  "requestId": "req_1234567890",
  "status": "succeeded",
  "model": "seedance-2.0",
  "prompt": "A river flowing through an autumn forest, aerial view, cinematic motion",
  "duration": 5,
  "aspectRatio": "16:9",
  "output": {
    "type": "video",
    "url": "https://pub-your-bucket.r2.dev/open-api-results/req_1234567890.mp4"
  },
  "error": null
}

작업 취소

curl --request POST \
  --url https://www.seedance2.ink/api/open/v1/video/generations/req_1234567890/cancel \
  --header 'Authorization: Bearer sd2_live_your_api_key'
{
  "success": true,
  "requestId": "req_1234567890",
  "status": "cancelled"
}

참고

  • mediaUrls 에는 최대 5 개까지 전달할 수 있습니다.
  • 공개 접근 가능한 HTTPS URL 을 사용하세요.
  • 참고 자료가 필요 없으면 텍스트로 비디오 를 사용하세요.

텍스트로 비디오

Seedance 2.0 Open API로 텍스트 프롬프트에서 비디오를 생성합니다.

Start

다음

목차

Endpoint지원되는 참고 자료요청 예시성공 응답요청 필드결과 조회작업 취소참고